mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Messaging.IMethodMessage System.Runtime.InteropServices.ComVisible(true)

An is generated as a result of a method called on a remote object, and is used to transport details about the remote method call to the server side.

Defines the method call message interface.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Returns the specified argument that is not marked as an out parameter.

  The requested argument that is not marked as an out parameter.

  The number of the requested in argument.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Returns the name of the specified argument that is not marked as an out parameter.

  The name of a specific argument that is not marked as an out parameter.

  The number of the requested in argument.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of arguments in the call that are not marked as out parameters.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] To be added: an object of type 'object []'

  Although the property is redundant since the same functionality can be achieved with the and methods, there might be performance optimization available if the implementer understands when all the arguments will be retrieved.

  Gets an array of arguments that are not marked as out parameters.